# 후크의 법칙(Hooke's law)
# F = -kx => 늘어나는 길이는 무게에 비례
n1 = int(input('n1:'))
m1 = int(input('m1:'))
n2 = int(input('n2:'))
m2 = int(input('m2:'))
원래길이 = m1 - n1*(m2-m1)/(n2-n1)
print('용수철의 원래 길이는',원래길이,'cm입니다.')
'''
1) 추1개당 늘어나는 길이 계산
    n2 > n1 이므로, (n2-n1) > 0
    n2-n1개를 달면, m2-m1길이증가
    따라서, 추1개당 늘어나는 길이는
    (m2-m1)/(n2-n1)
2) 원래길이 계산
    원래길이에서 n1개의 추를 달면 m1길이가 되므로
    원래길이+n1*추1개당 늘어나는 길이 = m1
    원래길이 = m1 - n1*(m2-m1)/(n2-n1)
'''




