def drawBoard():
    print('-------')
    print(' '+b[1]+'|'+b[2]+'|'+b[3])
    print('-------')
    print(' '+b[4]+'|'+b[5]+'|'+b[6])
    print('-------')
    print(' '+b[7]+'|'+b[8]+'|'+b[9])
    print('-------')

def checkForWin(c): # c문자를 기호로 하는 사용자가 이겼는지 확인
    if ((b[1]==c and b[2]==c and b[3]==c) or # 첫째줄 직선
        (b[4]==c and b[5]==c and b[6]==c) or # 둘째줄 직선
        (b[7]==c and b[8]==c and b[9]==c) or # 셋째줄 직선
        (b[1]==c and b[4]==c and b[7]==c) or # 첫째열 직선
        (b[2]==c and b[5]==c and b[8]==c) or # 둘째열 직선
        (b[3]==c and b[6]==c and b[9]==c) or # 셋째열 직선
        (b[1]==c and b[5]==c and b[9]==c) or # 왼쪽위-오른쪽아래 대각선
        (b[3]==c and b[5]==c and b[7]==c)): # 오른쪽위-왼쪽아래 대각선
        return True
    else:
        return False

def isFree(i): # i번째 칸이 비었는지 검사
    return b[i]==' '

def userTurn(): # 사용자 차례에서 입력 받기
    loc = int(input('당신의 수는?(1~9):'))
    while isFree(loc)==False:   # 입력 받은 칸에 이미 표기가 되어 있다면 반복,
        loc = int(input('당신의 수는?(1~9):'))    
    return loc

def comTurn(): # 컴퓨터 차례
# 이번 턴에 이길 수 있다면 그 수에 놓기(공격)
    for i in range(1,10):   # 1~9까지 체크
        if isFree(i):   # i번째 칸이 비었다면,
            b[i] = 'O'  # i번째 칸에 표시하여
            if checkForWin('O'): # 이긴다면, 그 곳에 두기
                return i
            else:   # 그렇지 않다면,
                b[i] = ' ' # i번째 칸 초기화
                
# 이번 턴에 이길 수 없다면 막기(수비)
    for i in range(1,10):   # 1~9까지 체크
        if isFree(i):   # i번째 칸이 비었다면,
            b[i] = 'X'  # 사용자가 i번째 칸에 표시하는 경우
            if checkForWin('X'): # 사용자가 이긴다면,
                return i    # 막음
            else:
                b[i] = ' '  # 아니라면, 초기화

# 이번 턴에 승부가 나지 않는다면 승부 초기이므로, 좋은 위치 선점
    if isFree(5):   # 중앙점이 비었다면 선점
        return 5
    
    for i in [1,3,5,7]: # 대각점이
        if isFree(i):   # 비었다면,
            return i    # 선점

    for i in [2,4,6,8]: # 나머지점이
        if isFree(i):   # 비었다면,
            return i    # 선점
    
def checkForDraw():  # 무승부 체크
    for i in range(1,10):   # 1~9까지 반복
        if isFree(i):   # 한 칸이라도 남아있다면
            return False # 무승부 아님
    return True     # 무승부

print('Welcome to Tic Tac Toe Game!!')
b=[' ',' ',' ',' ',' ',' ',' ',' ',' ',' '] # 10개 문자를 가지는 리스트 생성
import random
rand = random.randint(0,1) # 무작위로 선공 정하기 0이면 사용자, 1이면 컴퓨터
if rand == 0:
    turn = 'X'
else:
    turn = 'O'

while True:
    drawBoard() # 보드 그리기
    if turn == 'X':   # 사용자 턴
        b[userTurn()] = 'X' # 사용자 표기
    else:   # 컴퓨터 턴
        b[comTurn()] = 'O' # 컴퓨터 표기

    if checkForWin(turn):   # 승부가 났다면,
        drawBoard()         
        print(turn+' Win')   # 승부 메시지 출력 후
        break               # 종료
    else:
        if checkForDraw():  # 무승부라면,
            drawBoard()         
            print('Draw')   # 무승부 메시지 출력 후
            break           # 종료
        else:
            if turn == 'X': turn = 'O'
            else: turn = 'X'

    
    
    
        
        
