def RLE(s): # run-length encoding 함수
    result = ''   # 빈 문자열 생성
    size = len(s) # 입력 받은 문자열 길이
    i = 1
    count = 1
    while i < size:  # 입력 문자열 끝까지 반복
        if s[i] == s[i-1]:
            count = count + 1 # 해당 문자 반복 횟수 증가
        else:
            result = result + str(count) + s[i-1] # 반복 횟수와 문자 결과문자열에 반영
            count = 1 # 문자 반복 횟수(count) 초기화
        i = i + 1
    result = result + str(count) + s[i-1] # 마지막 문자에 대한 반복 횟수와 문자 결과문자열에 반영
    return result

inputStr = input('입력 문자열:')
print('RLE 압축 결과:',RLE(inputStr))

