def drawBar(value):
    t.fillcolor(value%255,0,0)
    t.begin_fill()
    t.lt(90)
    t.fd(value)
    t.rt(90)
    t.fd(width)
    t.rt(90)
    t.fd(value)
    t.left(90)
    t.end_fill()

width = 40  # 바의 너비 설정
data = [120, 140, 160, 300, 80, 90, 250, 130]   # 입력 데이터

import turtle           
win = turtle.Screen()
win.colormode(255)  # rgb 색상을 0~255로 표기
t = turtle.Turtle() 
t.speed(300)
t.pencolor('red')   # 펜 색상을 빨간색으로 설정
t.up()
t.goto(-200,-200)   # 그래프 시작점으로 이동
t.down()

for i in data:
    drawBar(i)

import matplotlib.pyplot as plt
x=range(len(data))
plt.bar(x,data)
plt.show()

