''' input data '''
x1 = [0, 0, 1, 1]   # 첫 번째 입력
x2 = [0, 1, 0, 1]   # 두 번째 입력
y = [0, 1, 1, 1]    # 입력들의 OR 연산결과

''' 1. 초기화 '''
w = [0, 0]  # 가중치 초기화
b = -1      # 바이어스 초기화
eta = 0.01  # 학습률 초기화

''' 학습하기 '''
for j in range(100):       # 반복하여 학습시키기
    for i in range(len(x1)):   # 학습 데이터 수만큼 반복
        f = w[0]*x1[i]+w[1]*x2[i]+b   # 퍼셉트론 모델
        w[0] = w[0] + eta*x1[i]*(y[i]-f)  # 새로운 가중치 계산
        w[1] = w[1] + eta*x2[i]*(y[i]-f)

''' 결과 확인 '''
# 학습 결과(모델) 출력
print(str(w[0])+'*x1+'+str(w[1])+'x2+'+str(b))

for i in range(4):
    output = w[0]*x1[i]+w[1]*x2[i]+b
    if output > 0: output = 1
    else: output = 0
    print('input: ',x1[i],x2[i],'=> output: ',output)

