'''
  달리기 시합 프로그램
- 참가선수: 거북이, 강아지, 고양이
'''

import turtle   # 거북이 그래픽 모듈 가져오기
import random   # 랜덤 모듈 가져오기

win = turtle.Screen()   # Screen객체 생성하여 win변수에 대입
                        # 앞으로 Screen관련 명령은 win에게 명령 전달
win.title('별무리경기장') # 윈도우 이름 설정
win.bgpic('별무리경기장.gif') # 배경 설정
                        
width = 1200  # 경기장 가로 길이를 width 변수에 저장(대입)
height = 800  # 경기장 세로 길이를 height 변수에 대입
offset = 50  # 윈도우 창을 고려한 여백
win.setup(width,height) # 윈도우(경기장) 크기를 설정

win.addshape('거북이.gif') # 거북이 이미지 추가
win.addshape('강아지.gif') # 강아지 이미지 추가
win.addshape('고양이.gif') # 고양이 이미지 추가

Turtle = turtle.Turtle() # 거북이 객체 생성하여 Turtle 변수에 대입
Turtle.shape('거북이.gif') # Turtle (거북이 객체) 모양 변경
puppy = turtle.Turtle() # 거북이 객체 생성하여 puppy 변수에 대입
puppy.shape('강아지.gif') # puppy (거북이 객체) 모양 변경
cat = turtle.Turtle() # 거북이 객체 생성하여 cat 변수에 대입
cat.shape('고양이.gif') # cat (거북이 객체) 모양 변경

Turtle.penup() # 이동시켜도 선 그어지지 않도록 펜을 올림
puppy.penup()
cat.penup()

# 출발선으로 이동
Turtle.goto(-width/2+offset,-8/32*height)
puppy.goto(-width/2+offset,-10/32*height)
cat.goto(-width/2+offset,-12/32*height)

# 달리기시작
while (Turtle.xcor() < width/2-2*offset) and (puppy.xcor() < width/2-2*offset) and (cat.xcor() < width/2-2*offset):    
# 목표점 도달 전이라면 반복하여
    Turtle.forward(random.randint(1,2))    # 앞으로 이동(이동량은 난수)
    puppy.forward(random.randint(2,8))
    cat.forward(random.randint(1,7))
'''
while(Turtle.xcor() < width/2-2*offset):   # 목표점 도달 전이라면 반복하여
    Turtle.forward(random.randint(1,2))    # 앞으로 이동(이동량은 난수)
while(puppy.xcor() < width/2-2*offset):
    puppy.forward(random.randint(2,8))
while(cat.xcor() < width/2-2*offset):
    cat.forward(random.randint(1,7))
'''
