import time
'''
일반적인 방법
'''
def factorization(n):   # n의 약수 리스트 만들기
    f = []  # 빈 리스트 생성
    for i in range(1,n+1):  # 1~n까지 반복
        if n%i == 0:    # n의 약수 이면
            f.append(i) # 약수 리스트에 추가
    return f

def intersection(a,b):  # 두 리스트(a,b)의 교집합(리스트) 만들기
    f = []  # 빈 리스트 생성
    for i in a:     # 첫 번째 리스트의 모든 원소 하나씩 꺼내서
        if i in b:  # 두 번째 리스트에도 그 원소가 있다면
            f.append(i) # 교집합 리스트에 추가
    return f

def findMax(a): # 리스트 내 원소 중 최대 값 구하기
    max = 0     # max 변수 초기화
    for i in a: # 리스트 내 원소 하나씩 꺼내서
        if max < i: # 현재 max값보다 꺼낸 원소가 크다면
            max = i # max값 업데이트
    return max  # max 값 반환

x = int(input('첫 번째 수:'))
y = int(input('두 번째 수:'))
start = time.time()
c = intersection(factorization(x),factorization(y))
gcd = findMax(c)
print('일반적인 방법 수행시간:',time.time()-start,'초')
start = time.time()
while y != 0:
    r = x % y
    x = y
    y = r
print('유클리드 호제법 수행시간:',time.time()-start,'초')
print('최대공약수:',gcd)
print('최대공약수:',x)


                
