step_size = 20  # 거북이 움직임 기본 단위

def goUp():     # 위로 이동(y좌표 증가)
    pos = t.pos()
    t.setpos(pos[0],pos[1]+step_size)

def goDown():   # 아래로 이동(y좌표 감소)
    pos = t.pos()
    t.setpos(pos[0],pos[1]-step_size)

def goRight():  # 오른쪽으로 이동(x좌표 증가)
    pos = t.pos()
    t.setpos(pos[0]+step_size,pos[1])

def goLeft():   # 왼쪽으로 이동(x좌표 감소)
    pos = t.pos()
    t.setpos(pos[0]-step_size,pos[1])

def writePos(): # 현재 위치 화면에 쓰기
    pos = t.pos()
    t.write(pos)

import turtle
win = turtle.Screen()
t = turtle.Turtle('turtle')
t.penup()

win.onkey(goUp,'Up')        # 위쪽 화살표 키 이벤트 핸들러(goUp) 등록
win.onkey(goDown,'Down')    # 아래쪽 화살표 키 이벤트 핸들러(goDown) 등록
win.onkey(goRight,'Right')  # 오른쪽 화살표 키 이벤트 핸들러(goRight) 등록
win.onkey(goLeft,'Left')    # 왼쪽 화살표 키 이벤트 핸들러(goLeft) 등록
win.onkey(writePos,'p')     # p키 이벤트 핸들러(writePos) 등록
win.onkey(writePos,'P')     # P키 이벤트 핸들러(writePos) 등록

win.listen()    # 키보드 입력 감시 활성화

