traps = [ [-500,500], [-400,400], [-300,300], [-100,400], [-200,100],
          [-500,-400], [-500,-100], [-300,-200], [-300,-50], [-100,-500],
          [500,100], [400,250], [300,100], [200,500], [100,350],
          [500,-500], [400,-100], [300,-300], [200,-100], [100,-400] ]

f_traps = open('traps.txt','w')
for trap in traps:
    f_traps.write(str(trap[0])+','+str(trap[1])+'\n')
f_traps.close()

import turtle
win = turtle.Screen()
win.setup(1500,1000)
t = turtle.Turtle()
t.speed(300)
width = 100         # 너비
height = 100        # 높이
color = 'gold'      # 색상

def drawRectangle(pos):
    t.penup()
    t.goto(pos[0],pos[1])     # 네모 그리기 시작 위치로 이동
    t.setheading(0) # 네모 그리기 시작 방향 초기화
    t.fillcolor(color) # 네모 색상 설정
    t.begin_fill()
    t.forward(width)    # 네모 그리기
    t.right(90)
    t.forward(height)
    t.right(90)
    t.forward(width)
    t.right(90)
    t.forward(height)
    t.end_fill()

f = open('traps.txt','r')
while True:
    traps = f.readline()
    if traps == '':
        break
    trap = traps.split(',')
    trap[0] = int(trap[0])
    trap[1] = int(trap[1])
    drawRectangle(trap)
f.close()
